VERSION 5.00
Begin VB.Form frmTest 
   AutoRedraw      =   -1  'True
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Fit Text to Picture Box"
   ClientHeight    =   4065
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6090
   ClipControls    =   0   'False
   ControlBox      =   0   'False
   DrawMode        =   12  'Nop
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4065
   ScaleWidth      =   6090
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   4920
      TabIndex        =   7
      Top             =   3660
      Width           =   1095
   End
   Begin VB.ComboBox cboShadow 
      Height          =   315
      Left            =   3360
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   120
      Width           =   1455
   End
   Begin VB.ComboBox cboAlign 
      Height          =   315
      Left            =   960
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   120
      Width           =   1455
   End
   Begin VB.CommandButton cmdTest 
      Caption         =   "Test"
      Height          =   315
      Left            =   4920
      TabIndex        =   2
      Top             =   3240
      Width           =   1095
   End
   Begin VB.TextBox txtTest 
      Height          =   1035
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Top             =   480
      Width           =   4695
   End
   Begin VB.PictureBox picShow 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   178
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2415
      Left            =   120
      ScaleHeight     =   2355
      ScaleWidth      =   4635
      TabIndex        =   0
      Top             =   1560
      Width           =   4695
   End
   Begin VB.Label Label2 
      Caption         =   "Shadow"
      Height          =   255
      Left            =   2520
      TabIndex        =   6
      Top             =   150
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Alignment:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   150
      Width           =   855
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ==============================================================
' Module:       frmTest
' Purpose:      Small Example program
' ==============================================================
Option Explicit
' ******************************************************************************
' Routine:           cmdCancel_Click
' Description:       Exit form
' Created by:        ebrahim sheibani
' Company:           http://ae-love.at.ua/forum/
' Date-Time:         15/05/09  15:38:22
' ******************************************************************************
Private Sub cmdCancel_Click()

  Unload Me
  End

End Sub

' ******************************************************************************
' Routine:           cmdTest_Click
' Description:       Test button: Use values of combo boxes to determine style
' Created by:        ebrahim sheibani
' Company:           http://ae-love.at.ua/forum/
' Date-Time:         15/05/09  15:38:22
' ******************************************************************************
Private Sub cmdTest_Click()
  Dim bError As Boolean

  If cboAlign.ListIndex >= 0 And cboShadow.ListIndex >= 0 Then
    picShow.Cls
    bError = TextToPicture(picShow, txtTest.Text, cboAlign.ListIndex, , cboShadow.ListIndex, vbButtonFace)
    If Not bError Then
      MsgBox "Unable to find suitable font size for text"
    End If
  End If



End Sub

' ******************************************************************************
' Routine:           Form_Load
' Description:       Set up Combos
' Created by:        ebrahim sheibani
' Company:           http://ae-love.at.ua/forum/
' Date-Time:         15/05/09  15:38:22
' ******************************************************************************
Private Sub Form_Load()
  With cboAlign
    .AddItem "Left Justify"
    .AddItem "Centre Justify"
    .AddItem "Right Justify"
    .AddItem "Full Justify"
    .ListIndex = 0
  End With
  With cboShadow
    .AddItem "Top Left"
    .AddItem "Top"
    .AddItem "Top Right"
    .AddItem "Left"
    .AddItem "No Shadow"
    .AddItem "Right"
    .AddItem "Bottom Left"
    .AddItem "Bottom"
    .AddItem "Bottom Right"
    .ListIndex = 4
  End With

  txtTest.Text = "Enter Text"

End Sub

